Name:          python-click
Version:       8.1.7
Release:       2mamba
Summary:       A simple wrapper around optparse for powerful command line utilities
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://click.palletsprojects.com/en/8.0.x/
Source:        https://pypi.debian.net/click/click-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba
BuildArch:     noarch

%description
Click is a Python package for creating beautiful command line interfaces in a composable way with as little code as necessary.
It's the "Command Line Interface Creation Kit".
It's highly configurable but comes with sensible defaults out of the box.
It aims to make the process of writing command line tools quick and fun while also preventing any frustration caused by the inability to implement an intended CLI API.
Click in three points:
* arbitrary nesting of commands
* automatic help page generation
* supports lazy loading of subcommands at runtime

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n click-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/click-%{version}-py*.egg-info
%{python_sitearch}/click-%{version}-py*.egg-info/*

%changelog
* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 8.1.7-2mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Fri Aug 18 2023 Automatic Build System <autodist@mambasoft.it> 8.1.7-1mamba
- automatic version update by autodist

* Wed Jul 19 2023 Automatic Build System <autodist@mambasoft.it> 8.1.6-1mamba
- automatic version update by autodist

* Fri Jul 14 2023 Automatic Build System <autodist@mambasoft.it> 8.1.5-1mamba
- automatic version update by autodist

* Fri Jul 07 2023 Automatic Build System <autodist@mambasoft.it> 8.1.4-1mamba
- automatic version update by autodist

* Fri Apr 07 2023 Sdk Build System <sdk@mambasoft.it> 8.1.3-2mamba
- rebuilt with python 3.10

* Sat Apr 30 2022 Automatic Build System <autodist@mambasoft.it> 8.1.3-1mamba
- automatic version update by autodist

* Fri Apr 01 2022 Automatic Build System <autodist@mambasoft.it> 8.1.2-1mamba
- automatic version update by autodist

* Thu Mar 31 2022 Automatic Build System <autodist@mambasoft.it> 8.1.1-1mamba
- automatic version update by autodist

* Tue Mar 29 2022 Automatic Build System <autodist@mambasoft.it> 8.1.0-1mamba
- automatic version update by autodist

* Sat Feb 19 2022 Automatic Build System <autodist@mambasoft.it> 8.0.4-1mamba
- automatic version update by autodist

* Tue Jan 11 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 8.0.3-1mamba
- update to 8.0.3

* Tue Apr 09 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 7.0-1mamba
- update to 7.0

* Tue Jan 10 2017 Automatic Build System <autodist@mambasoft.it> 6.7-1mamba
- automatic version update by autodist

* Sun Apr 10 2016 Automatic Build System <autodist@mambasoft.it> 6.6-1mamba
- automatic version update by autodist

* Tue Mar 01 2016 Automatic Build System <autodist@mambasoft.it> 6.3-1mamba
- automatic version update by autodist

* Tue Dec 01 2015 Automatic Build System <autodist@mambasoft.it> 6.2-1mamba
- automatic version update by autodist

* Wed Nov 04 2015 Automatic Build System <autodist@mambasoft.it> 5.1-1mamba
- automatic version update by autodist

* Thu Jul 02 2015 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 4.0-1mamba
- package created using the webbuild interface
